BlockGrid Class Reference

`#include <blocktools.h>`

## Public Member Functions

| BlockGrid (coord_t maxx, coord_t maxy, coord_t maxz)
neighbourID_t | getNID (coord_t x, coord_t y, coord_t z) const
void | generateInNeighbours (coord_t blockx, coord_t blocky, coord_t blockz, messvec &v)
void | generateOutNeighbours (coord_t blockx, coord_t blocky, coord_t blockz, messvec &v)

## Private Attributes

coord_t | xmax
coord_t | ymax
coord_t | zmax

## Constructor & Destructor Documentation

## BlockGrid()

BlockGrid::BlockGrid | ( | coord_t | maxx,
|  | coord_t | maxy,
|  | coord_t | maxz
| ) |  |

## Member Function Documentation

## generateInNeighbours()

void BlockGrid::generateInNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | coord_t | blockz,
|  | messvec & | v
| ) |  |

References message::destbuffid, message::destID, getNID(), getSrcBuffID(), getTag(), message::sourceID, message::srcbuffid, and message::tag.

Referenced by generateOutNeighbours(), getNID(), and ripley::Brick::interpolateNodesOnFacesWorker().

## generateOutNeighbours()

void BlockGrid::generateOutNeighbours | ( | coord_t | blockx,
|  | coord_t | blocky,
|  | coord_t | blockz,
|  | messvec & | v
| ) |  |

References generateInNeighbours(), getNID(), xmax, ymax, and zmax.

Referenced by getNID(), and ripley::Brick::interpolateNodesOnFacesWorker().

## getNID()

neighbourID_t BlockGrid::getNID | ( | coord_t | x,
|  | coord_t | y,
|  | coord_t | z
| ) |  | const

References generateInNeighbours(), generateOutNeighbours(), xmax, and ymax.

Referenced by generateInNeighbours(), and generateOutNeighbours().

## Member Data Documentation

## xmax

coord_t BlockGrid::xmax

private

Referenced by generateOutNeighbours(), and getNID().

## ymax

coord_t BlockGrid::ymax

private

Referenced by generateOutNeighbours(), and getNID().

## zmax

coord_t BlockGrid::zmax

private

Referenced by generateOutNeighbours().

The documentation for this class was generated from the following files:

- blocktools.h
- blocktools.cpp